package page_votes

import (
	"code.electrolab.fr/it/vote.electrolab.fr/model"
)

type TemplateIndexVars struct {
	PageTitle         string
	VoterPrivateToken string
	VoterFullname     string
	Questions         []*model.Question
}

// type TemplateIndexVarsQuestion struct {
// 	Name         string
// 	Position     int
// 	Title        string
// 	Sentence     string
// 	VoteOpen     bool
// 	VoteCount    int
// 	VotedAlready bool
// }

const TEMPLATE_INDEX_STR = `
	<nav aria-label="breadcrumb">
	  <ol class="breadcrumb">
	    <li class="breadcrumb-item active" aria-current="page">AG Électrolab 2020</li>
	  </ol>
	</nav>


	<p>Bienvenue {{.VoterFullname}} !</p>

	<p>Cette page vous est personnelle, et vous permet de voter. Ne transmettez pas ce lien à d'autres personnes !</p>

	<p>Voici la liste des votes du jour :</p>
	<ol>
		{{ range .Questions }}
			<li value="{{.Position}}">

				<a href="votes/{{.Name}}?private_token={{$.VoterPrivateToken}}">{{.Title}}</a>

				{{ if .VotedAlready }}
					<span class="badge badge-info">a voté</span>
				{{ end }}

				{{ if .VoteOpen }}
					<span class="badge badge-success">en cours</span>
				{{ else if and (gt .VoteCount 0) (not .VotedAlready) }}
					<span class="badge badge-danger">clos</span>
				{{ end }}
			</li>
		{{ end }}
	</ol>
`
